#include "stdafx.h"


#ifdef WINCE

// Based on a 2010 patch by Piotr Caban to Wine
char* strtok_s(char *str, const char *delim, char **ctx) {
    if(!delim || !ctx || (!str && !*ctx)) {
        //set errno
        return NULL;
    }

    if(!str)
        str = *ctx;

    while(*str && strchr(delim, *str))
        str++;
    if(!*str)
        return NULL;

    *ctx = str+1;
    while(**ctx && !strchr(delim, **ctx))
        (*ctx)++;
    if(**ctx)
        *(*ctx)++ = 0;

    return str;
} 

#endif