// stdafx.h : include file for standard system include files,
// or project specific include files that are used frequently, but
// are changed infrequently
//

#pragma once

#ifdef WINCE

	//////////////////////////////
	// Windows CE Configuration //
	//////////////////////////////

	#pragma comment(linker, "/nodefaultlib:libc.lib")
	#pragma comment(linker, "/nodefaultlib:libcd.lib")

	// NOTE - this value is not strongly correlated to the Windows CE OS version being targeted
	#define WINVER _WIN32_WCE

	#include <ceconfig.h>
	#if defined(WIN32_PLATFORM_PSPC) || defined(WIN32_PLATFORM_WFSP)
		#define SHELL_AYGSHELL
	#endif

	#ifdef _CE_DCOM
		#define _ATL_APARTMENT_THREADED
	#endif

	// Windows Header Files:
	#include <windows.h>
	#include <commctrl.h>

	// CRT Headers:
	#include <stdlib.h>
	#include <malloc.h>
	#include <memory.h>
	#include <tchar.h>

	#if defined(WIN32_PLATFORM_PSPC) || defined(WIN32_PLATFORM_WFSP)
		#ifndef _DEVICE_RESOLUTION_AWARE
			#define _DEVICE_RESOLUTION_AWARE
		#endif
	#endif

	#ifdef _DEVICE_RESOLUTION_AWARE
		#include "DeviceResolutionAware.h"
	#endif

	#if _WIN32_WCE < 0x500 && ( defined(WIN32_PLATFORM_PSPC) || defined(WIN32_PLATFORM_WFSP) )
		#pragma comment(lib, "ccrtrtti.lib")
		#ifdef _X86_	
			#if defined(_DEBUG)
				#pragma comment(lib, "libcmtx86d.lib")
			#else
				#pragma comment(lib, "libcmtx86.lib")
			#endif
		#endif
	#endif

	#include <altcecrt.h>

	// TODO: reference additional headers your program requires here
	#include "io_wince.h"
	#include "strsafe.h"

	typedef long _off_t;
	typedef _off_t off_t;

	#define sprintf_s _snprintf

	char* strtok_s(char *str, const char *delim, char **ctx);

#else
    ///////////////////////////////////
	// Windows Desktop Configuration //
	///////////////////////////////////

	//Target windows version
	#define WINVER 0x0500

	//Windows headers
	#define WIN32_LEAN_AND_MEAN
	#include <windows.h>
	#include <winsock2.h>
	#include <commctrl.h>
	#include <io.h>

	//CRT headers
	#include <stdlib.h>
	#include <malloc.h>
	#include <memory.h>
	#include <tchar.h>

#endif
